Subject: Re: linux-next: build failure

From: Jesse Barnes <[email-masked]>
Date: Tue, 9 Dec 2008 13:05:26 -0800

On Monday, December 08, 2008 11:34 pm Stephen Rothwell wrote:
> Hi Dave,
>
> Today's linux-next build (powerpc allyesconfig) failed like this:
>
> drivers/gpu/drm/drm_gem.c: In function 'drm_gem_mmap':
> drivers/gpu/drm/drm_gem.c:519: error: '_PAGE_CACHE_WC' undeclared (first
> use in this function)
>
> Caused by commit 33b801854540a4f5205c0b2b4b91987e7f21af08 ("drm: GEM mmap
> support").  I tried to revert just that commit, but it lead me down a
> road of dependent commits, so I have reverted the whole drm tree for
> today.
>
> _PAGE_CACHE_WC appears to be defined only for x86 and, before the above
> commit, was not used outside arch/x86.

We might be able to use the new pgprot_writecombine function, but I think 
that's only in an x86 branch atm...  And it doesn't look like it's properly 
stubbed out on non-x86, which means more #ifdefs.

-- 
Jesse Barnes, Intel Open Source Technology Center